package com.goldenwater.yjjt.service.impl;

import java.util.List;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.yjjt.domain.YjjtCount;
import com.goldenwater.yjjt.mapper.YjjtCountMapper;
import com.goldenwater.yjjt.service.IYjjtCountService;

/**
 * 引江济太统计Service业务层处理
 */
@Service
public class YjjtCountServiceImpl implements IYjjtCountService
{
    @Autowired
    private YjjtCountMapper yjjtCountMapper;

    @Override
    public List<YjjtCount> selectCount(String year, String month, String addvcd)
    {
        return yjjtCountMapper.selectCount(year, month, addvcd);
    }

    @Override
    public List<YjjtCount> selectStcdCount(String year, String month, String addvcd)
    {
        return yjjtCountMapper.selectStcdCount(year, month, addvcd);
    }

    @Override
    public List<YjjtCount> selectStcdSLCount(String year, String addvcd)
    {
        return yjjtCountMapper.selectStcdSLCount(year, addvcd);
    }

    @Override
    public List<YjjtCount> selectStcdSZCount(String year, String addvcd)
    {
        return yjjtCountMapper.selectStcdSZCount(year, addvcd);
    }

    @Override
    public List<YjjtCount> selectnum(String year, String month, String addvcd)
    {
        return yjjtCountMapper.selectnum(year, month, addvcd);
    }

    @Override
    public List<Map<String, Object>> selectDailySum(String beginDate, String endDate)
    {
        return yjjtCountMapper.selectDailySum(beginDate, endDate);
    }
}
